#/bin/sh

gpioset gpiochip3 18=1

KEY_FILE="/cert/key.pem"
CERT_FILE="/cert/device_cert.pem"

if [ ! -e $KEY_FILE ]; then
  se05x_getkey 0xF0000110 /cert/key.pem /dev/i2c-1:0x48
fi

if [ ! -e $CERT_FILE ]; then
  se05x_getkey 0xF0000111 /cert/device_cert.pem /dev/i2c-1:0x48
fi

if [ -e "/root/gw_container/customize/main.py" ]; then
  python3 /root/gw_container/customize/main.py -d
else
  python3 -m atgateway -d
fi

