import asyncio
import threading

from atgateway.app.gw_app import mainloop
from atgateway.app.sensing_mgr.model_config_base import ModelConfigBase
from atgateway.app.sensing_mgr.model_config_a6e_base import ModelConfigA6EBase
from atgateway.app.sensing_mgr.model_dev_a6e_base import ModelDevA6EBase

def main():
    asyncio.run(mainloop(ModelDevA6EBase, ModelConfigA6EBase,
                         "/config/sensing_mgr.conf", "/config/cloud_agent.conf"))

if __name__ == '__main__':
    main()

#
# End of File
#
